<pre>
<?php

$hostname = '192.168.0.7';
$port = 50000;
$username = 'db2inst1';
$password = 'passw0rd';
$database = 'mydb';
$dsn = "jdbc:db2://$hostname:$port/$database";

try {
  // Create database connection
  $c = new PDO($dsn, $username, $password, array(
    	PDO::ATTR_PERSISTENT => TRUE, 
    	PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION)
  );

  // Drop the test table, in case it has already been created.
  // Temporarily silence errors, so if it hasn't been created we don't die. 
  $savedErrorMode = $c->getAttribute(PDO::ATTR_ERRMODE);
  $c->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_SILENT);
  $c->exec('DROP TABLE testtable');
  $c->setAttribute(PDO::ATTR_ERRMODE, $savedErrorMode);

  // Create table and put some stuff in it.
  $c->exec("CREATE TABLE testtable(id int NOT NULL PRIMARY KEY, val VARCHAR(16))");
  $c->exec("INSERT INTO testtable VALUES(1, 'Kenny')");
  $c->exec("INSERT INTO testtable VALUES(2, 'Cartman')");
  $c->exec("INSERT INTO testtable VALUES(3, 'Mr. Garrison')");
  
  // Grab stuff from database and show it
  $statement = $c->prepare('SELECT * from testtable');
  $statement->execute();
  var_dump($statement->fetchAll(PDO::FETCH_ASSOC));

 
} catch (PDOException $e) {
  echo "Problem accessing database: ";
  var_dump($e);
}
?>
</pre>