import zero.data.groovy.Manager
import com.ibm.pdq.runtime.exception.DataRuntimeException

def dataManager = zero.data.Manager.create('mydb')

// Drop the test table, in case it has already been created.
try {
  dataManager.update('DROP TABLE testtable');
} catch (DataRuntimeException e) {
  // Table might not exist yet. Ignore errors.
}

// Create table and put some stuff in it.
dataManager.update('CREATE TABLE testtable(id int NOT NULL PRIMARY KEY, val VARCHAR(16))');
dataManager.update("INSERT INTO testtable VALUES(1, 'Kenny')");
dataManager.update("INSERT INTO testtable VALUES(2, 'Cartman')");
dataManager.update("INSERT INTO testtable VALUES(3, 'Mr. Garrison')");

// Grab stuff from database and show it
def results = dataManager.queryList('SELECT * FROM testtable')
println '<pre>'
println results
println '</pre>'