<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-GB" lang="en-GB">

<head profile="http://www.w3.org/2000/08/w3c-synd/#">
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />



  <title>Accessing DB2 with WebSphere sMash: some examples.</title>

  <style type="text/css">
    body {
      margin: 5;
      padding: 5;
      background: #ffffff;
      font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
      font-size: 13px;
      color: #000000;
    }

    h1, h2, h3 {
      margin: 5;
      font-family: Georgia, "Times New Roman", Times, serif;
      font-weight: normal;
      color: #447646;
    }

    h1 { font-size: 26px; }

    h2 { font-size: 20px; }
    
    p, ul, ol {
      text-align: justify;
      font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
    }

    a:hover { text-decoration: none; }
    
</style>
</head>


</head>

<body>

<h1>Accessing DB2 with WebSphere sMash: some examples.</h1>

<h2>Database Configuration</h2>
<p>
You should change the database parameters to suit your environment. For the PDO example, the parameters are in the <a href='/source.php?db2pdo.php'>example php script</a> itself. For the zero.data examples, they are read from <a href="/source.php?zero.config">zero.config</a>.
Here are the default values that the examples will attempt to use if you don't change anything:
<ul>
  <li><strong>hostname:</strong> 192.168.0.7</li>
  <li><strong>port:</strong> 50000</li>
  <li><strong>username:</strong> db2inst1</li>
  <li><strong>password:</strong> passw0rd</li>
  <li><strong>database name:</strong> mydb</li>
</ul>
</p>

<p>
Also, Make sure the database user has sufficient priviledges to carry out these operations:
<ul>
  <li>Drop a table.</li>
  <li>Create a table.</li>
  <li>Insert entries into a table.</li>
  <li>Read from a table.</li>
</ul>

</p>

<h2>The Examples</h2>
<ul>
  <li>Access DB2 from PHP using PDO:</li>
  <ul>
    <li><a href='/db2pdo.php'>Run</a></li>
    <li><a href='/source.php?db2pdo.php'>Source</a></li>
  </ul> 
  <li>Access DB2 the Groovy zero.data API</li>
  <ul>
    <li><a href='/db2zero.groovy'>Run</a></li>
    <li><a href='/source.php?db2zero.groovy'>Source</a></li>
  </ul>   
  <li>Access DB2 the PHP zero.data API</li>
  <ul>
    <li><a href='/db2zero.php'>Run</a></li>
    <li><a href='/source.php?db2zero.php'>Source</a></li>
  </ul> 
</ul>

  
</body>
</html>